### Class

# EBookContacts VCard

#### Description

    class EBookContacts.VCard : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Descendants

- EContact

#### Constructors

###### e_vcard_new

Creates a new, blank `EVCard`.

###### e_vcard_new_from_string

Creates a new `EVCard` from the passed-in string representation.

#### Functions

###### e_vcard_escape_string

Escapes a string according to RFC2426, section 5.

###### e_vcard_unescape_string

Unescapes a string according to RFC2426, section 5.

#### Instance methods

###### e_vcard_add_attribute

Prepends `attr` to `evc`. This takes ownership of `attr`.

###### e_vcard_add_attribute_with_value

Prepends `attr` to `evcard`, setting it to `value`. This takes ownership of `attr`.

###### e_vcard_add_attribute_with_values

Prepends `attr` to `evcard`, assigning the list of values to it. This takes ownership of `attr`.

###### e_vcard_append_attribute

Appends `attr` to `evc` to the end of a list of attributes. This takes ownership of `attr`.

since: 2.32

###### e_vcard_append_attribute_with_value

Appends `attr` to `evcard`, setting it to `value`. This takes ownership of `attr`.

since: 2.32

###### e_vcard_append_attribute_with_values

Appends `attr` to `evcard`, assigning the list of values to it. This takes ownership of `attr`.

since: 2.32

###### e_vcard_construct

Constructs the existing `EVCard`, `evc`, setting its vCard data to `str`.

###### e_vcard_construct_full

Similar to e_vcard_construct_with_uid(), but can also be used with an `str` that is not `NULL` terminated.

since: 3.12

###### e_vcard_construct_with_uid

Constructs the existing `EVCard`, `evc`, setting its vCard data to `str`, and adding a new UID attribute with the value given in `uid` (if `uid` is non-`NULL`).

since: 3.4

###### e_vcard_dump_structure

Prints a dump of `evc`‘s structure to stdout. Used for debugging.

###### e_vcard_get_attribute

Get the attribute `name` from `evc`. The `EVCardAttribute` is owned by `evcard` and should not be freed. If the attribute does not exist, `NULL` is returned.

###### e_vcard_get_attribute_if_parsed

Similar to `e_vcard_get_attribute()` but this method will not attempt to parse the vCard if it is not already parsed.

since: 3.4

###### e_vcard_get_attributes

Gets the list of all attributes from `evcard`. The list and its contents are owned by `evcard`, and must not be freed.

###### e_vcard_is_parsed

Check if the `evc` has been parsed already, as `EVCard` implements lazy parsing of its vCard data. Used for debugging.

since: 3.2

###### e_vcard_remove_attribute

Removes `attr` from `evc` and frees it. This takes ownership of `attr`.

###### e_vcard_remove_attributes

Removes all the attributes with group name and attribute name equal to the passed in values. If `attr_group` is `NULL` or an empty string, it removes all the attributes with passed in name irrespective of their group names.

###### e_vcard_to_string

Exports `evc` to a string representation, specified by the `format` argument.

###### e_vcard_util_dup_x_attribute

No description available.

since: 3.26

###### e_vcard_util_set_x_attribute

Sets an “X-” attribute `x_name` to value `value` in `vcard`, or removes it from `vcard`, when `value` is `NULL`.

since: 3.26

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EBookContactsVCardClass {
      GObjectClass parent_class;
      void (* _ebook_reserved0) (
    void
      );
      void (* _ebook_reserved1) (
    void
      );
      void (* _ebook_reserved2) (
    void
      );
      void (* _ebook_reserved3) (
    void
      );
      void (* _ebook_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_ebook_reserved0: void (* _ebook_reserved0) ( void )`

  No description available.

`_ebook_reserved1: void (* _ebook_reserved1) ( void )`

  No description available.

`_ebook_reserved2: void (* _ebook_reserved2) ( void )`

  No description available.

`_ebook_reserved3: void (* _ebook_reserved3) ( void )`

  No description available.

`_ebook_reserved4: void (* _ebook_reserved4) ( void )`

  No description available.